import { NotificationTemplate } from '@bringg/types';
import BaseStore from '../../Core/BaseStore';
import Session from '../../Services/Identity/Session';
import { CreateNotificationTemplateRequest, NotificationTemplateDeleteResponse } from '../NotificationTemplate.consts';
import NotificationTemplateService from '../Service/NotificationTemplateService';
export default class NotificationTemplateStore extends BaseStore<NotificationTemplate> {
    notificationTemplateService: NotificationTemplateService;
    isFetched: boolean;
    constructor(session: Session);
    getAll(): Promise<NotificationTemplate[]>;
    create(request: CreateNotificationTemplateRequest): Promise<NotificationTemplate>;
    update(id: number, request: CreateNotificationTemplateRequest): Promise<NotificationTemplate>;
    delete(id: number): Promise<NotificationTemplateDeleteResponse>;
    private _fetchAll;
}
